<?php
require_once("inc_sicurezza_login.php");
require_once("functions.php");
$sql_reseller = "SELECT * FROM rivenditori  ";
list($status_reseller,$contenuto_reseller,$nrows_reseller) = read_db_pdo($sql_reseller,$array_reseller);
$staff = $contenuto_reseller;
$filtro_query_rivenditori ="";
$vettore_permessi=array(
				"6923e6c01ef0afda823f8a4085890079"=>"ADMIN",
				"7f1ceb7c8aedd46408b3ea1796aa44a6"=>"SUPER MASTER",
				"9d444c8a0c6f4935583d6bed6f44eabb"=>"MASTER",
				"6a2c221670f4afb47057f9b7623c0547"=>"WHOLESALES",
				"2f976275b3f669d63d3fbc484f0c343b"=>"RESELLER"			
				);
$errori_input = array();

$staffTree = buildStaffTree(strval($id_user_logged));
$filtro_query_rivenditori =  rtrim($filtro_query_rivenditori,",");
if(strlen($filtro_query_rivenditori) > 0){
	$sql_clienti = "SELECT C.*, R.username as rivenditore FROM `clienti` C INNER JOIN rivenditori R ON C.id_rivenditore = R.id_rivenditore WHERE C.id_rivenditore in ($filtro_query_rivenditori) ORDER BY C.id_rivenditore DESC";
	list($status_clienti,$contenuto_clienti,$nrows_clienti) = read_db_pdo($sql_clienti);
	if($nrows_clienti > 0){
		foreach($contenuto_clienti as $contenuto_clienti_v) {
			$id_cliente=mb_convert_encoding($contenuto_clienti_v["id_cliente"],'UTF-8');
			$rivenditore=mb_convert_encoding($contenuto_clienti_v["rivenditore"],'UTF-8');
			$stato=mb_convert_encoding($contenuto_clienti_v["stato"],'UTF-8');
			$isTest=mb_convert_encoding($contenuto_clienti_v["isTest"],'UTF-8');
			$username_c=mb_convert_encoding($contenuto_clienti_v["username"],'UTF-8');
			$visioni=mb_convert_encoding($contenuto_clienti_v["visioni"],'UTF-8');
			if ($isTest == 0){
				$username_visualizzato="".$username_c;
			}else{
				$username_visualizzato= "<div class='badge badge-outline-primary'>Linea Test</div> ".$username_c;
			}
			$password_c=mb_convert_encoding($contenuto_clienti_v["password"],'UTF-8');
			$scadenza=mb_convert_encoding($contenuto_clienti_v["scadenza"],'UTF-8');
			$note=mb_convert_encoding($contenuto_clienti_v["note"],'UTF-8');
			$scadenzaDATA = explode(" ", $scadenza);
			$scadenza_cliente_ita = implode( '/', array_reverse( explode( '-', $scadenzaDATA[0] ) ) );
			$scadenza_cliente = "<span style='display:none;'>$scadenza</span>$scadenza_cliente_ita $scadenzaDATA[1]";
			$chk_edita_cliente=crea_chk_link("edita_cliente",$id_cliente.$id);
			$chk_elimina_cliente=crea_chk_link("elimina_cliente",$id_cliente.$id);
			if ($permessi_user_logged == "6923e6c01ef0afda823f8a4085890079"){
				$admin = true;
			}else{
				$admin = false;
			}
			$pulsante = "<div class=\"dropdown\">
							<button class=\"btn btn-danger dropdown-toggle\" type=\"button\" id=\"azione$id_cliente\" data-toggle=\"dropdown\" aria-haspopup=\"true\" aria-expanded=\"false\">
								Azioni
							</button>
							<div class=\"dropdown-menu\" aria-labelledby=\"azione\" x-placement=\"top-start\" style=\"position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(0px, -181px, 0px);\">
							";
							$pulsante= $pulsante."<a class=\"dropdown-item\" href='#' data-toggle=\"modal\" data-target=\"#edita_cliente\" data-whatever=\"edita_cliente\" onclick='edita_cliente($id_cliente,\"$username_c\",\"$password_c\",\"$note\");' >Modifica</a>
									  <a class=\"dropdown-item\" href='#' data-toggle=\"modal\" data-target=\"#estendi_linea\" data-whatever=\"estendi_linea\" onclick='estendilinea_cliente($id_cliente,\"$username_c\");'>Estendi Abbonamento</a>
									  <a class=\"dropdown-item\" href='#' data-toggle=\"modal\" data-target=\"#elimina_cliente\" data-whatever=\"elimina_cliente\" onclick='elimina_cliente($id_cliente,\"$username_c\");'>Elimina</a>
							</div>
						</div>";
			$vettore_clienti_json["data"][] = array(
													$id_cliente,
													$stato,
													$rivenditore,
													$username_visualizzato,
													$password_c,
													$visioni,
													$scadenza_cliente,
													$note,
													$pulsante
											);
		}
	}else{
		$vettore_clienti_json["data"] = array();
		echo json_encode($vettore_clienti_json);
		exit;
	}
}else{
		$vettore_clienti_json["data"] = array();
		echo json_encode($vettore_clienti_json);
		exit;
}	
echo json_encode($vettore_clienti_json);


?>